<?php

/**
 * @author Bruno
 * @table(name=tb_noticia)
 */
class Noticia {

    /**     * @id * @column(name=id) */
    private $id;
    /**     * @column(name=titulo) */
    private $titulo;
    /**     * @column(name=subtitulo) */
    private $subtitulo;
    /**     * @column(name=texto) */
    private $texto;
    /**     * @column(name=dataNoticia, type=dateTime) */
    private $dataNoticia;
    /**     * @column(name=imagemUrl) */
    private $imagemUrl;
    /**     * @column(name=autor) */
    private $autor;

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getTitulo() {
        return $this->titulo;
    }

    public function setTitulo($titulo) {
        $this->titulo = $titulo;
    }

    public function getSubtitulo() {
        return $this->subtitulo;
    }

    public function setSubtitulo($subtitulo) {
        $this->subtitulo = $subtitulo;
    }

    public function getTexto() {
        return $this->texto;
    }

    public function setTexto($texto) {
        $this->texto = $texto;
    }

    public function getDataNoticia() {
        return $this->dataNoticia;
    }

    public function setDataNoticia($dataNoticia) {
        $this->dataNoticia = $dataNoticia;
    }

    public function getImagemUrl() {
        return $this->imagemUrl;
    }

    public function setImagemUrl($imagemUrl) {
        $this->imagemUrl = $imagemUrl;
    }

    public function getAutor() {
        return $this->autor;
    }

    public function setAutor($autor) {
        $this->autor = $autor;
    }

}

?>
